SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004292SOGosogo-toolpublic2017-09-19 06:002018-01-12 14:15
Reportergmarco 
Assigned Toludovic 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version 
Target VersionFixed in Version2.3.24 
Summary0004292: Uncaught exception while adding acl with sogo-tool
DescriptionWhen I try to add any acl to any user's Calendar or Contacts with sogo-tool, it returns an 'Uncaught exception'

I've tried with different users, different calendars, but same result.
Steps To Reproduce# sogo-tool manage-acl add user1 'Calendar/personal' 'user2' '["PublicDAndTViewer"]'

<0x0x9e6ce8[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
<0x0x9e6ce8[SOGoCache]> Using host(s) 'localhost:11211' as server(s)
2017-09-19 11:19:54.331 sogo-tool[30258] Settings rights for user user2
sogo-tool: Uncaught exception NSInvalidArgumentException, reason: +[GCSFolderManager singleStoreMode]: unrecognized selector sent to instance 0x7f48ae244fc0
Aborted

# sogo-tool manage-acl add user1 'Contacts/personal' 'user2' '["ObjectViewer"]'
<0x0x1988ce8[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
<0x0x1988ce8[SOGoCache]> Using host(s) 'localhost:11211' as server(s)
2017-09-19 11:59:04.292 sogo-tool[1247] Settings rights for user user2
sogo-tool: Uncaught exception NSInvalidArgumentException, reason: +[GCSFolderManager singleStoreMode]: unrecognized selector sent to instance 0x7fc15a670fc0
Aborted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012426)
infrasysteme (reporter)
2017-11-13 04:42

Hi,

we have the same problem here with SOGo 2.3.23.
Could you, please, fix this ?

Thanks,
Yoann

- Related Changesets
sogo: v2 5d3b1b0d
Timestamp: 2018-01-12 14:11:53
Author: ludovic
Details ] Diff ]
(fix) made sogo-tool manage-acl work on v2 (fixes 0004292)
mod - NEWS Diff ] File ]
mod - Tools/SOGoToolManageACL.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-19 06:00 gmarco New Issue
2017-11-13 04:42 infrasysteme Note Added: 0012426
2018-01-12 14:12 ludovic Changeset attached => sogo v2 5d3b1b0d
2018-01-12 14:12 ludovic Assigned To => ludovic
2018-01-12 14:12 ludovic Resolution open => fixed
2018-01-12 14:14 ludovic Status new => resolved
2018-01-12 14:15 ludovic Product Version 2.3.22 =>
2018-01-12 14:15 ludovic Fixed in Version => 2.3.24


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker